org.bouncycastle.ocsp.test

## Class OCSPTestUtil

- java.lang.Object
- - org.bouncycastle.ocsp.test.OCSPTestUtil

    public class OCSPTestUtil
    extends java.lang.Object

### Field Summary

Fields
`static boolean` `DEBUG`
`static javax.crypto.KeyGenerator` `desede128kg`
`static javax.crypto.KeyGenerator` `desede192kg`
`static java.security.KeyPairGenerator` `eckpg`
`static java.security.KeyPairGenerator` `kpg`
`static java.security.SecureRandom` `rand`
`static javax.crypto.KeyGenerator` `rc2128kg`
`static javax.crypto.KeyGenerator` `rc240kg`
`static javax.crypto.KeyGenerator` `rc264kg`
`static java.math.BigInteger` `serialNumber`

### Constructor Summary

Constructors
Constructor and Description
`OCSPTestUtil()`

### Method Summary

Methods
`static java.security.cert.X509Certificate` `makeCACertificate(java.security.KeyPair _subKP, java.lang.String _subDN, java.security.KeyPair _issKP, java.lang.String _issDN)`
`static java.security.cert.X509Certificate` `makeCertificate(java.security.KeyPair _subKP, java.lang.String _subDN, java.security.KeyPair _issKP, java.lang.String _issDN)`
`static java.security.cert.X509Certificate` `makeCertificate(java.security.KeyPair _subKP, java.lang.String _subDN, java.security.KeyPair _issKP, java.lang.String _issDN, boolean _ca)`
`static java.security.cert.X509Certificate` `makeCertificate(java.security.KeyPair _subKP, java.lang.String _subDN, java.security.KeyPair _issKP, java.lang.String _issDN, java.lang.String algorithm, boolean _ca)`
`static java.security.cert.X509Certificate` `makeECDSACertificate(java.security.KeyPair _subKP, java.lang.String _subDN, java.security.KeyPair _issKP, java.lang.String _issDN)`
`static java.security.cert.X509Certificate` `makeECDSACertificate(java.security.KeyPair _subKP, java.lang.String _subDN, java.security.KeyPair _issKP, java.lang.String _issDN, boolean _ca)`
`static java.security.KeyPair` `makeECKeyPair()`
`static java.security.KeyPair` `makeKeyPair()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rand

    public static java.security.SecureRandom rand

#### kpg

    public static java.security.KeyPairGenerator kpg

#### eckpg

    public static java.security.KeyPairGenerator eckpg

#### desede128kg

    public static javax.crypto.KeyGenerator desede128kg

#### desede192kg

    public static javax.crypto.KeyGenerator desede192kg

#### rc240kg

    public static javax.crypto.KeyGenerator rc240kg

#### rc264kg

    public static javax.crypto.KeyGenerator rc264kg

#### rc2128kg

    public static javax.crypto.KeyGenerator rc2128kg

#### serialNumber

    public static java.math.BigInteger serialNumber

#### DEBUG

    public static final boolean DEBUG

See Also:
  Constant Field Values

### Constructor Detail

#### OCSPTestUtil

    public OCSPTestUtil()

### Method Detail

#### makeKeyPair

    public static java.security.KeyPair makeKeyPair()

#### makeECKeyPair

    public static java.security.KeyPair makeECKeyPair()

#### makeCertificate

    public static java.security.cert.X509Certificate makeCertificate(java.security.KeyPair _subKP,
                                                     java.lang.String _subDN,
                                                     java.security.KeyPair _issKP,
                                                     java.lang.String _issDN)
                                                              throws java.security.GeneralSecurityException,
                                                                     java.io.IOException

Throws:
  `java.security.GeneralSecurityException`
  `java.io.IOException`

#### makeECDSACertificate

    public static java.security.cert.X509Certificate makeECDSACertificate(java.security.KeyPair _subKP,
                                                          java.lang.String _subDN,
                                                          java.security.KeyPair _issKP,
                                                          java.lang.String _issDN)
                                                                   throws java.security.GeneralSecurityException,
                                                                          java.io.IOException

Throws:
  `java.security.GeneralSecurityException`
  `java.io.IOException`

#### makeCACertificate

    public static java.security.cert.X509Certificate makeCACertificate(java.security.KeyPair _subKP,
                                                       java.lang.String _subDN,
                                                       java.security.KeyPair _issKP,
                                                       java.lang.String _issDN)
                                                                throws java.security.GeneralSecurityException,
                                                                       java.io.IOException

Throws:
  `java.security.GeneralSecurityException`
  `java.io.IOException`

#### makeCertificate

    public static java.security.cert.X509Certificate makeCertificate(java.security.KeyPair _subKP,
                                                     java.lang.String _subDN,
                                                     java.security.KeyPair _issKP,
                                                     java.lang.String _issDN,
                                                     boolean _ca)
                                                              throws java.security.GeneralSecurityException,
                                                                     java.io.IOException

Throws:
  `java.security.GeneralSecurityException`
  `java.io.IOException`

#### makeECDSACertificate

    public static java.security.cert.X509Certificate makeECDSACertificate(java.security.KeyPair _subKP,
                                                          java.lang.String _subDN,
                                                          java.security.KeyPair _issKP,
                                                          java.lang.String _issDN,
                                                          boolean _ca)
                                                                   throws java.security.GeneralSecurityException,
                                                                          java.io.IOException

Throws:
  `java.security.GeneralSecurityException`
  `java.io.IOException`

#### makeCertificate

    public static java.security.cert.X509Certificate makeCertificate(java.security.KeyPair _subKP,
                                                     java.lang.String _subDN,
                                                     java.security.KeyPair _issKP,
                                                     java.lang.String _issDN,
                                                     java.lang.String algorithm,
                                                     boolean _ca)
                                                              throws java.security.GeneralSecurityException,
                                                                     java.io.IOException

Throws:
  `java.security.GeneralSecurityException`
  `java.io.IOException`